package ACL2::Orden::Defpkg;
use base ACL2::Orden;

#
#    Orden DEFPKG
#    Copyright (C) 2006-2008 Antonio García Domínguez
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

use strict;
use warnings;
use ACL2::Tags;

sub get_identificador_evento
{
    return $_[0]->{name};
}

sub protegido_inicializar_sexpr
{
    $_[0]->{name} = $_[0]->get_elems_formula->[1];
    $_[0]->{name} =~ s/\"//g;
}

sub protegido_inicializar_salida
{
    my ($this) = @_;
    # nada que hacer
}

sub protegido_cabecera
{
    $_[1]->startTag(ACL2::Tags::DEFPKG_TAG,
		    "name"  => $_[0]->{name},
		    "elems" => $_[0]->get_elems_formula->[2]);
}

sub protegido_cuerpo
{
    my ($this, $writer) = @_;
    # nada que hacer
}

1;
